0

Red Hat list support for OpenJDK 11 as added in RHEL 7.6. Does this mean that OpenJDK 11 will not function prior to 7.6, or that Red Hat have provided specialist support for installing OpenJDK 11 in 7.6?

I'm attempting to provide a tool to a user that is running RHEL 7.3. This tool requires OpenJDK 11 to function. The installation of said tool includes a bundled copy of OpenJDK 11 from Oracle that's install behind the scenes (just for use with my tool).

Will this work on RHEL 7.3, or will it not run that version of Java regardless of how it's installed?

Thanks!

  • 1
    This would probably be easier if you just set up an RHEL 7.3 VM and tested your application – Martin Barker Jun 4 '19 at 15:40
  • That's what I'm now looking to do, but finding a copy of RHEL 7.3 is proving to be difficult. The Red Hat website really wants me to use v8. – Michael Hillman Jun 5 '19 at 10:30
  • Find the CentOS version that corresponds to that version of RHEL and use that you can download them from ftp.iij.ad.jp/pub/linux/centos-vault – Martin Barker Jun 5 '19 at 11:17
1

It's more than likely to work just won't be in the Repository for 7.3. (as in the repo will have a minimum Version requirement)

it can be manually installed though (as your setup system might do) it just might have unknown bugs occur so you should set up a VM and test your application on there OS or convince them to upgrade to 7.6 since it's patches that include major kernel updates to prevent spectre and meltdown

Download jdk-11.0.3_linux-x64_bin.rpm from https://www.oracle.com/technetwork/java/javase/downloads/jdk11-downloads-5066655.html

on linux machine or not and upload it to Linux machine.

Install the RPM.

if there are alternate versions of java is installed tell them to build a .sh file that will just run

/usr/jdk-11.0.3/bin/java -jar /path/to/your/application.jar

But I would no matter what tell them about the security flaw as not upgrading Linux OS with a kernel 2 years out of date is a major security flaw. after all the attack vectors found in the last 2 years

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.